Commit d15626b9 authored by Jan Kiene's avatar Jan Kiene
Browse files

some additional printouts

parent 6b3fa521
Loading
Loading
Loading
Loading
+7 −1
Original line number Diff line number Diff line
@@ -2,7 +2,7 @@

### This test assures that for all DTX modes, decoding a bitstream that starts with an SID frame does not crash the decoder or cause a sanitizer error

set -euxo pipefail
set -euo pipefail

collect_failed_logs() {
  local console_output="$1"
@@ -113,12 +113,18 @@ exit_code_usan=0
echo "-------------- 3. Usan decoder -------------- "
scripts/IvasBuildAndRunChecks.py --checks CLANG3 --decoder_only -m $modes_all $common_args 2>&1 | tee "console_log_usan.txt" || exit_code_usan=$?

echo "-------------- 4. Collect logs -------------- "

# everything went as expected, now collect logs
collect_failed_logs console_log_msan.txt CLANG1/logs logs/msan
collect_failed_logs console_log_asan.txt CLANG2/logs logs/asan
collect_failed_logs console_log_usan.txt CLANG3/logs logs/usan

echo "-------------- 5. Check for errors -------------- "
if [ $exit_code_msan_no_stereo -ne 0 ] || [ $exit_code_msan_stereo -ne 0 ] || [ $exit_code_asan -ne 0 ] || [ $exit_code_usan -ne 0 ]; then
  echo "There was either a crash or a sanitizer error encountered when decoding a bitstream that starts with an SID. Check the artifacts for the logfiles."
  exit 1
fi

echo "No errors occured."
exit 0